Package org.eclipse.m2m.atl.emftvm.constraints

## Interface Validator<T>

Type Parameters:
  `T` - the element type to validate

All Known Implementing Classes:
  `StackUnderflowValidator`, `ValidCodeBlockStackLevelValidator`

    public interface Validator<T>

Validator interface for EMFTVM.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `validate​(T object)` Validates `object`.

### Method Detail

#### validate

    boolean validate​(T object)

Validates `object`.

Parameters:
  `object` - the object to validate
Returns:
  `true` if `object` is valid